MagickCore: shear.c File Reference

# shear.c File Reference

`#include "magick/studio.h"`
`#include "magick/colorspace-private.h"`
`#include "magick/composite.h"`
`#include "magick/composite-private.h"`
`#include "magick/decorate.h"`
`#include "magick/draw.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/gem.h"`
`#include "magick/geometry.h"`
`#include "magick/image.h"`
`#include "magick/memory_.h"`
`#include "magick/list.h"`
`#include "magick/monitor.h"`
`#include "magick/pixel-private.h"`
`#include "magick/quantum.h"`
`#include "magick/shear.h"`
`#include "magick/transform.h"`

## Defines
#define | TileHeight 128
#define | TileWidth 128
#define | RotateImageTag "Rotate/Image"
#define | XShearImageTag "XShear/Image"
#define | YShearImageTag "YShear/Image"
## Functions
MagickExport Image * | AffineTransformImage (const Image *image, const AffineMatrix *affine_matrix, ExceptionInfo *exception)
static void | CropToFitImage (Image **image, const MagickRealType x_shear, const MagickRealType y_shear, const MagickRealType width, const MagickRealType height, const MagickBooleanType rotate, ExceptionInfo *exception)
static Image * | IntegralRotateImage (const Image *image, unsigned long rotations, ExceptionInfo *exception)
static MagickRealType | Blend_ (const MagickRealType p, const MagickRealType alpha, const MagickRealType q, const MagickRealType beta)
static void | MagickCompositeBlend (const MagickPixelPacket *p, const MagickRealType alpha, const MagickPixelPacket *q, const MagickRealType beta, const MagickRealType area, MagickPixelPacket *composite)
static void | XShearImage (Image *image, const MagickRealType degrees, const unsigned long width, const unsigned long height, const long x_offset, long y_offset)
static void | YShearImage (Image *image, const MagickRealType degrees, const unsigned long width, const unsigned long height, long x_offset, const long y_offset)
MagickExport Image * | RotateImage (const Image *image, const double degrees, ExceptionInfo *exception)
MagickExport Image * | ShearImage (const Image *image, const double x_shear, const double y_shear, ExceptionInfo *exception)

## Define Documentation

#define RotateImageTag "Rotate/Image"

#define TileHeight 128

#define TileWidth 128

#define XShearImageTag "XShear/Image"

#define YShearImageTag "YShear/Image"

## Function Documentation

MagickExport Image* AffineTransformImage | ( | const Image * | image,
|  | const AffineMatrix * | affine_matrix,
|  | ExceptionInfo * | exception |
| ) |  |  |

static MagickRealType Blend_ | ( | const MagickRealType | p,
|  | const MagickRealType | alpha,
|  | const MagickRealType | q,
|  | const MagickRealType | beta |
| ) |  |  | `[inline, static]`

static void CropToFitImage | ( | Image ** | image,
|  | const MagickRealType | x_shear,
|  | const MagickRealType | y_shear,
|  | const MagickRealType | width,
|  | const MagickRealType | height,
|  | const MagickBooleanType | rotate,
|  | ExceptionInfo * | exception |
| ) |  |  | `[inline, static]`

static Image* IntegralRotateImage | ( | const Image * | image,
|  | unsigned long | rotations,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static void MagickCompositeBlend | ( | const MagickPixelPacket * | p,
|  | const MagickRealType | alpha,
|  | const MagickPixelPacket * | q,
|  | const MagickRealType | beta,
|  | const MagickRealType | area,
|  | MagickPixelPacket * | composite |
| ) |  |  | `[inline, static]`

MagickExport Image* RotateImage | ( | const Image * | image,
|  | const double | degrees,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* ShearImage | ( | const Image * | image,
|  | const double | x_shear,
|  | const double | y_shear,
|  | ExceptionInfo * | exception |
| ) |  |  |

static void XShearImage | ( | Image * | image,
|  | const MagickRealType | degrees,
|  | const unsigned long | width,
|  | const unsigned long | height,
|  | const long | x_offset,
|  | long | y_offset |
| ) |  |  | `[static]`

static void YShearImage | ( | Image * | image,
|  | const MagickRealType | degrees,
|  | const unsigned long | width,
|  | const unsigned long | height,
|  | long | x_offset,
|  | const long | y_offset |
| ) |  |  | `[static]`